CVE-2023-36053

NameCVE-2023-36053
DescriptionIn Django 3.2 before 3.2.20, 4 before 4.1.10, and 4.2 before 4.2.3, EmailValidator and URLValidator are subject to a potential ReDoS (regular expression denial of service) attack via a very large number of domain name labels of emails and URLs.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDLA-3500-1, DSA-5465-1
Debian Bugs1040225

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
python-django (PTS)bullseye (security), bullseye2:2.2.28-1~deb11u2fixed
bookworm, bookworm (security)3:3.2.19-1+deb12u1fixed
trixie3:4.2.13-1fixed
sid3:4.2.14-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
python-djangosourcebuster1:1.11.29-1+deb10u9DLA-3500-1
python-djangosourcebullseye2:2.2.28-1~deb11u2DSA-5465-1
python-djangosourcebookworm3:3.2.19-1+deb12u1DSA-5465-1
python-djangosource(unstable)3:3.2.20-11040225

Notes

https://www.openwall.com/lists/oss-security/2023/07/03/1
https://www.djangoproject.com/weblog/2023/jul/03/security-releases/
https://github.com/django/django/commit/ad0410ec4f458aa39803e5f6b9a3736527062dcd (main)
https://github.com/django/django/commit/454f2fb93437f98917283336201b4048293f7582 (3.2.20)

Search for package or bug name: Reporting problems